tt_objid_objkey(library call)

NAME
tt_objid_objkey — return the unique key of an objid

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_objid_objkey(
const char *objid);

DESCRIPTION

The tt_objid_objkey function returns the unique key of an objid.

The objid argument is the identifier of the object involved in this operation.

RETURN VALUE

Upon successful completion, the tt_objid_objkey function returns the unique key of the objid. No two objids have the same unique key. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).